summaryrefslogtreecommitdiffstats
path: root/debian/tests/python
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/python')
-rwxr-xr-xdebian/tests/python9
1 files changed, 9 insertions, 0 deletions
diff --git a/debian/tests/python b/debian/tests/python
new file mode 100755
index 0000000..a0fcab4
--- /dev/null
+++ b/debian/tests/python
@@ -0,0 +1,9 @@
+#!/bin/bash
+set -e
+set -x
+SRC="${PWD}"
+cd "${ADTTMP}"
+for py in $(pyversions -vi) $(py3versions -vi) ; do
+ python$py -m unittest discover -s "${SRC}"/test
+done
+pypy -m unittest discover -s "${SRC}"/test